%{?nodejs_find_provides_and_requires}

%global packagename astw
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 2.0.0
Release: 1%{?dist}.3
Summary: Walk the ast with references to parent nodes
License: MIT
URL: https://github.com/substack/astw
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(acorn) >= 0.9.0
%if 0%{?enable_tests}
BuildRequires: npm(escodegen) >= 0.0.17
BuildRequires: npm(tape) >= 2.4.1
%endif

%description
Walk the ast with references to parent nodes.

This module is a faster version of falafel
that only does ast walking and .parent tracking, not source transforms.


%prep
%setup -q -n package
%nodejs_fixdep acorn '>=0.9.0'
%nodejs_fixdep --dev escodegen '>=0.0.17'
%nodejs_fixdep --dev tape '>=2.4.1'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Sep 26 2016 Oleg Girko <ol@infoserver.lv> - 2.0.0-1
- Initial package.
